#define draw_checkbox_sprite
// By derkimba
//draw_checkbox_sprite(x,y,spr,mb,index)
var xx,yy,spr,status,index;
xx = argument0 // x-Position der Checkbox
yy = argument1 // y-Position der Checkbox
spr = argument2 // Sprite der Checkbox
mb = argument3 // Mausbutton der abgefragt werden soll (mb_left oder mb_right)
index = argument4 // Der Index der Checkbox (muss ein String sein)
// Mit dem Index kannst du jederzeit auf den Wert der Checkbox zugreifen (0 = deaktiviert , 1 = aktiviert)
// Jede Checkbox braucht einen anderen Index, wenn 2 Checkboxen den selben Index haben, 
// ahmen sie sich gegenseitig nach, dies kann natrlich auch von Vorteil sein.
if(!variable_local_exists(index)) {variable_local_set(index,0)}
//
if(mouse_x > xx && mouse_x < xx+sprite_get_width(spr) && mouse_y > yy && mouse_y < yy+sprite_get_height(spr))
    {
    if(variable_local_get(index) == 0)
        {
        status = 2
        draw_sprite(spr,status,xx,yy)
        }
    if(variable_local_get(index) == 1)
        {
        status = 3
        draw_sprite(spr,status,xx,yy)
        }
    if(mouse_check_button_pressed(mb))
        {
        if(variable_local_get(index) == 1) {variable_local_set(index,0)} 
        else if(variable_local_get(index) == 0) {variable_local_set(index,1)}
        }
    }
else
    {
    draw_sprite(spr,variable_local_get(index),xx,yy)
    status = variable_local_get(index)
    }
return status;


#define draw_checkbox_checkbox
// By derkimba
//draw_checkbox_checkbox(x1,y1,x2,y2,mb,width,col_0,col_1,col_x_0,col_x_1,index)
var xx1,xx2,yy1,yy2,mb,width,col_0,col_1,col_x_0,col_x_1,status,index;
xx1 = argument0 // x1-Position der Checkbox
yy1 = argument1 // y1-Position der Checkbox
xx2 = argument2 // x2-Position der Checkbox
yy2 = argument3 // y2-Position der Checkbox
mb = argument4 // Mausbutton der abgefragt werden soll (mb_left oder mb_right)
width = argument5
col_0 = argument6 // Farbe des Rahmens der Box wenn Maus nicht darber ist
col_1 = argument7 // Farbe des Rahmens der Box wenn die Maus darber ist
col_x_0 = argument8 // Farbe des Kreuzes wenn die Checkbox aktiviert ist und die Maus nicht ber der Box ist
col_x_1 = argument9 // Farbe des Kreuzes bei aktivierter Box und wenn die Maus ber der Box ist
index = argument10 // Der Index der Checkbox (muss ein String sein)
// Mit dem Index kannst du jederzeit auf den Wert der Checkbox zugreifen (0 = deaktiviert , 1 = aktiviert)
// Jede Checkbox braucht einen anderen Index, wenn 2 Checkboxen den selben Index haben, 
// ahmen sie sich gegenseitig nach, dies kann natrlich auch von Vorteil sein.
if(!variable_local_exists(index)) {variable_local_set(index,0)}
//
if(mouse_x > xx1 && mouse_x < xx2 && mouse_y > yy1 && mouse_y < yy2)
    {
    if(variable_local_get(index) == 0)
        {
        status = 2
        draw_rectangle_color(xx1,yy1,xx2,yy2,col_1,col_1,col_1,col_1,1)
        }
    if(variable_local_get(index) == 1)
        {
        status = 3
        draw_rectangle_color(xx1,yy1,xx2,yy2,col_1,col_1,col_1,col_1,1)
        draw_line_width_color(xx1,yy1,xx2,yy2,width,col_x_1,col_x_1)
        draw_line_width_color(xx1,yy2,xx2,yy1,width,col_x_1,col_x_1)
        }
    if(mouse_check_button_pressed(mb))
        {
        if(variable_local_get(index) == 1) {variable_local_set(index,0)} 
        else if(variable_local_get(index) == 0) {variable_local_set(index,1)}
        }
    }
else
    {
    draw_rectangle_color(xx1,yy1,xx2,yy2,col_0,col_0,col_0,col_0,1)
    if(variable_local_get(index) == 1)
        {
        draw_line_width_color(xx1,yy1,xx2,yy2,width,col_x_0,col_x_0)
        draw_line_width_color(xx1,yy2,xx2,yy1,width,col_x_0,col_x_0)
        }
    status = variable_local_get(index)
    }
return status;


